Subject: RFC-1323 implementations
From: [email-masked] (Bob Braden)
To: [email-masked]
Cc: [email-masked]
Date: Mon, 29 Aug 1994 09:32:14 -0700

----- Begin Included Message -----

>From [email-masked] Mon Aug 29 09:29:33 1994
X-Mailer: InterCon TCP/Connect II 1.1
Date: Mon, 29 Aug 1994 12:31:31 -0500
From: Harry Solomon <[email-masked]>
To: [email-masked]
Subject: RFC-1323 implementations
Content-Length: 252
X-Lines: 11

I am looking for a publicly available (not necessarily free, though) 
implementation of RFC-1323 for Sun/Solaris and/or HP/UX-9.0.

Do you know of any such?  Thanx.

Harry Solomon
Martin Marietta Communications Systems
1 Federal St.
Camden, NJ 08103

----- End Included Message -----

Date: Sun, 21 Aug 1994 23:31:54 -0700
From: NOSSDAV Workshop <[email-masked]>
To: [email-masked]
Subject: Workshop announcement
Content-Length: 4456

                  5th International Workshop on
Network and Operating System Support for Digital Audio and Video
			  (NOSSDAV '95) 

                        CALL FOR PAPERS

                     April 19, 20, 21, 1995 
                   Durham, New Hampshire, USA

            Sponsored by the IEEE Communications Society 

In cooperation with ACM SIGCOMM, SIGOPS, SIGMM, SIGGRAPH, and SIGIR

Network and operating system support for digital audio and video
are becoming increasingly important with the convergence of the
computer, the TV, and communications. Innovation in this field is
fueling the industry developments in interactive multimedia services
to the home. In the past, research in this domain has largely
originated as adaptations of specific technologies to support audio
and video.  This work has lead to an understanding of common
cross-disciplinary problems.  Increasingly, this work encompasses
and integrates the diverse technology necessary to achieve end-to-end
systems. To this end, research leading to complete solutions is
viewed as particularly important to the workshop.

The workshop is intended to bring together practitioners from a
variety of areas, including communications and networks, operating
systems, real-time systems and distributed computing. It is intended
that an outcome of the workshop will be a statement of the the
state of the art in this field, highlighting the major areas
requiring future research.

Relevant topics for the workshop include:

   High-speed/ATM networks 
   Multimedia-oriented desk, local, and wide area networks 
   Workstation architectures for multimedia 
   Cell-based system architectures 
   Multimedia network interfaces 
   Communication protocols for multimedia 
   Multicast 
   Micro-kernel and OS support for real-time communications 
   Resource management and reservation in the OS and network 
   End-to-end admission control 
   Quality of service and synchronization frameworks 
   Multimedia storage, server, and I/O architectures 
   Distributed multimedia systems 
   APIs and CM programming abstractions for multimedia 
   Community networking 
   TV set-top device communication 

Instructions for Submitting Papers: 

Two types of submissions are solicited: position papers and research
papers. For the purpose of paper review, position papers are
restricted to three single-spaced ASCII pages. Research papers are
restricted to an extended abstract no longer than five formatted
postscript pages. Papers should be electronically mailed to
[email-masked]

Only if electronic submission is impossible, papers may be sent
to: Prof. T.D.C. Little, Multimedia Communications Laboratory,
Department of Electrical, Computer and Systems Engineering, Boston
University, 44 Cummington Street, Boston, MA 02215 USA.
Tel: +1 617 353-9877 Fax: +1 617 353-6440 [email-masked].

The proceedings of the workshop will be published by Springer-Verlag
and the best papers will be forwarded to selected journals for
publication.

Important Dates: 

   Abstracts due: December 12, 1994 
   Acceptance notification: January 25, 1995 
   Final paper due: March 8, 1995 
   Workshop: April 19, 1995 

Program Co-Chairs: 

Riccardo Gusella, HP Labs, USA 
T.D.C. Little, Boston University, USA 

Program Committee: 

Stavros Christodoulakis, Technical University of Crete 
Domenico Ferrari, University of California, Berkeley 
Ralf Herrtwich, IBM Creative Multimedia Studios 
Andy Hopper, Olivetti & University of Cambridge 
Kevin Jeffay, University of North Carolina at Chapel Hill 
Chuck Kalmanek, AT&T Bell Laboratories 
Jim Kurose, University of Massachusetts at Amherst 
Aurel Lazar, Columbia University 
Derek McAuley, Cambridge University 
Duane Northcutt, Sun Microsystems Laboratories 
Guru Parulkar, Washington University 
Steve Pink, Swedish Institute of Computer Science 
Radu Popescu-Zeletin, GMD-FOKUS 
K.K. Ramakrishnan, Digital Equipment Corporation 
P. Venkat Rangan, University of California, San Diego 
Jon Rosenberg, Bell Communications Research 
Eve Schooler, USC/Information Sciences Institute 
Doug Shepherd, Lancaster University 
Cormac Sreenan, AT&T Bell Laboratories 
Jean-Bernard Stefani, France Telecom/CNET 
Daniel Swinehart, Xerox PARC 
Hideyuki Tokuda, Carnegie Mellon University/Keio University 
Jon Walpole, Oregon Graduate Institute of Science & Technology
Raj Yavatkar, University of Kentucky 

This CFP is on-line at http://spiderman.bu.edu.

Date: Thu, 18 Aug 1994 10:53:29 -0500
From: ACM Multimedia 94 <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Subject: ADVANCE PROGRAM -- ACM MULTIMEDIA 94
Content-Length: 6701

			   ANNOUNCEMENT

	 2nd ANNUAL ACM MULTIMEDIA CONFERENCE AND EXPOSITION

			 October 15-20, 1994
		      San Francisco, California
 
Sponsored by the Association for Computing Machinery SIGBIO, SIGBIT, SIGCHI, 
SIGCOMM, SIGGRAPH, SIGIR, SIGLINK, SIGMM, and SIGOIS and in
cooperation with SIGAPP, SIGMOD, SIGOPS and the IEEE Communications
Society.   

=================****=================****=================****============
MULTIMEDIA '94 WWW/MOSAIC AND FTP SITES

The Multimedia '94 WWW home page contains the advance program,
registration information, as well as other relevant details.
The URL is:

http://george.lbl.gov/MM94/MM94.html

The advance program and registration form can also be retrieved
by anonymous ftp:

ftp://dworkin.wustl.edu/pub/MM94/program

If you need more information about Multimedia'94 or the Advance
Program, contact Danieli and O'Keefe (DOK), our conference management
company.

Address

	Danieli and O'Keefe
	490 Boston Post Road
	Sudbury, MA  01776-9898

Phone numbers
	
	800-524-1851, or 508-443-3330, Ext. 1214

Email

       [email-masked] or [email-masked]

=================****=================****=================****============

CONFERENCE HIGHLIGHTS

 * Why ACM Multimedia '94?
  The second ACM Multimedia Conference will present an exciting mixture of
  technology and art. Sessions will focus on what will be the standards of
  the future; not what is happening today. The program of papers, panels,
  courses, demonstrations, videos, and exhibits will explore the breadth
  and diversity of this ever-changing technology.

 * You should be there!
  This conference will be vital for researchers, technical staff, software
  engineers, educators and artists working in any and all aspects of
  multimedia research and production. ACM Multimedia will draw attendees
  and presenters from both academia and industry, including
  telecommunications, fine arts, engineering, software development,
  multimedia production, electronic publishing, digital libraries, computer
  graphics, user interfaces, broadcast media, and networking.

 * Opening and Closing Plenaries
  The technical program kicks off with a debate by industry leaders from
  LucasArts, Philips Electronics and the new Mosaic Communications,
  moderated by Dr. R.W. Lucky, of Bellcore. They will debate their
  differing views on the evolution of the Multimedia industry.

  At the Closing Plenary, Tom Holman, the award-winning designer of the THX
  sound system and Corporate Technical Director of LucasFilm, discusses
  presentations standards for sound and graphics and Scott Marden, of
  Philips Media will give his perspective on the emerging multimedia
  industry. See page 14 for more details.

 * The Ubiquitous Art Zone
  The Ubiquitous Art Zone is that part of Multimedia '94 that presents the
  creations of artists working in multimedia. The art work ranges from
  "immersive environments" and "garage VR" to narrative works on
  interactive CD ROM and hard drive. By their use of interactive interface
  technologies, the artists invite the visitors to become participants in a
  shared experience. Come celebrate the emergence of the art made possible
  by the digital revolution.

 * Ubiquitous Art Zone/Exhibit Reception
  Please join us Tuesday evening for a reception that allows you to
  experience the full range of the arts in multimedia, as well as to spend
  some unhurried time in the exhibit hall.

 * Exhibit Hall
  This is the best opportunity to see and learn from companies who will
  share their multimedia experiences with you. Digital Equipment Corp. and
  IBM are just two of the companies who are eager to show their products
  and services.

 * Electronic Proceedings
  The conference proceedings will be available on a CD-ROM and on
  electronic network. Both media will include the text of the papers being
  presented, video clips from the video program and other material.

 * Conference Videotape
  The ACM Multimedia '94 video will feature videotapes of multimedia
  systems in action, and other topics relevant to the conference. The
  videos have been selected based on their relevance, technical content,
  originality, presentation quality, and clarity. The videotape will be
  available for purchase at the conference.

 * Demonstrations Program
  The demonstration program will feature novel research prototypes that
  demonstrate the latest advances in multimedia computing and
  communications technologies. These juried and working prototypes will be
  exhibited at regular intervals by their creators. Time will be provided
  for personal interaction with the systems.

 * Best Paper Awards
  Both the best paper and the best student paper will be presented in a
  special session on Thursday afternoon. Come hear the best of the best!

 * Vendor Track
  A special venue has been provided for exhibitor presentations on their
  products and services. This is a unique opportunity to find out about the
  tools and products that can help you be more productive.

=================****=================****=================****============

CONFERENCE COMMITTEE

  CO-CHAIRS
  M. Blattner, Lawrence Livermore National Laboratory and University
			of California, Davis 
  J. O. Limb, Georgia Institute of Technology, Atlanta

  ADVISORY COMMITTEE
  E. Fox, Virginia Polytechnic Institute and SU

  TREASURER
  R. B. Allen, Bellcore

  PROCEEDINGS
  J. J. Garcia-Luna, University of California, Santa Cruz

  WORKSHOPS
  S. Wilbur, Queen Mary & Westfield College, UK

  DEMONSTRATIONS
  T. Little, Boston University

  VIDEO
  M. Brown, Digital Equipment Corporation
  D. Redell, Digital Equipment Corporation

  ELECTRONIC PUBLISHING
  R. Rada, University of Liverpool, UK

  PANELS
  A. Kuchinsky, Hewlett-Packard
  S. Bulick, US WEST Technologies

  COURSES
  E. P. Glinert, Rensselaer Polytechnic Institute
  D. McIntyre, Morgan, Stanley & Co.
  K. Wittenburg, Bell Communications Research,

  LOCAL ARRANGEMENTS
  J. D. Smith, Lawrence Livermore National Laboratory

  PUBLICITY
  G. Parulkar, Washington University in St. Louis

  EXHIBITS
  P. Mantey, University of California, Santa Cruz

  AUDIO/VISUAL

  N. Johnston, Lawrence Berkeley Laboratory

  UBIQUITOUS ART ZONE
  Beverly Reiser

  PROGRAM COMMITTEE
  Chair
  D. Ferrari, University of California, Berkeley

  CO-CHAIRS
  S. Ahuja, AT&T Bell Laboratories
  F. Kitson, Hewlett-Packard
  T. Kunii, University of Aizu, Japan
  R. Phillips, Los Alamos National Laboratory
  R. Rada, University of Liverpool, UK
  R. Sacks-Davis, the Royal Melbourne Institute of Technology.

=================****=================****=================****============

From: [email-masked] (Stevo Bevo-Devo Wise)
To: [email-masked]
Subject: Re: checksum on move question 
Date: Tue, 02 Aug 94 18:00:47 -0600
Content-Length: 952

[email-masked] says:

| Steve,
| 
| I'm unclear on why you feel you need to return an error to the user.
| Is the read call on your system supposed to guarantee that the remainder
| of buffer hasn't been modified without explicitly telling the user?  If not,
| I'd have read return 0 bytes read (if the socket is marked non-blocking)
| or not return until a packet arrives that checksums o.k. (if it is blocking).
| 
| Then again, maybe I'm missing something.
| 
| --Brian

Maybe that's ok for someone who directly called the read(), recv(),
etc...  But what about apps that select() on the file, then read().  If
they select() true for read, then I block them or return 0, 
that could be fatal...could it not?

However, I think you touched on the obvious...I suppose I can just return
0 bytes read...that's much better than EINTR at least for the apps
that call read()/recv()/etc directly with no selecting going on...

Thanx,

Stevo.

From: [email-masked]
To: Stevo Bevo-Devo Wise <[email-masked]>
Cc: [email-masked]
Subject: Re: checksum on move question 
Date: Tue, 02 Aug 94 18:52:09 -0400
Content-Length: 886

Steve Wise writes:
>I'm implementing protocol-specific send and receive routines for TCP
>and UDP in order to checksum the data whilest I move it from user space
>to kernel space and vice versa (sp?).
>
>I'm doing this on...ahem...a *nix O/S which is based on BSD 4.3 Net2.
>
>Question:  If I do this on receive, and the checksum fails, I must
>somehow discard the data I moved into the users buffer.  Right now I'm
>returning EINTR.   Is this reasonable?

Steve,

I'm unclear on why you feel you need to return an error to the user.
Is the read call on your system supposed to guarantee that the remainder
of buffer hasn't been modified without explicitly telling the user?  If not,
I'd have read return 0 bytes read (if the socket is marked non-blocking)
or not return until a packet arrives that checksums o.k. (if it is blocking).

Then again, maybe I'm missing something.

--Brian

From: [email-masked] (Stevo Bevo-Devo Wise)
To: [email-masked]
Subject: checksum on move question
Date: Tue, 02 Aug 94 17:18:03 -0600
Content-Length: 880

Question for any of you who've already implemented this:

I'm implementing protocol-specific send and receive routines for TCP
and UDP in order to checksum the data whilest I move it from user space
to kernel space and vice versa (sp?).

I'm doing this on...ahem...a *nix O/S which is based on BSD 4.3 Net2.

Question:  If I do this on receive, and the checksum fails, I must
somehow discard the data I moved into the users buffer.  Right now I'm
returning EINTR.   Is this reasonable?  Has anyone out there done this
some other way?  I figured well behaved apps should always retry a read
operation when they receive EINTR, but the app I was using to test all
this didn't!!! It just bailed on any receive error...

Any thoughts would be appreciated...

Thanx,

********
Steve Wise	IBM RISC System/6000 Division - Austin, TX.
Internet:	[email-masked]
VNET:		AUSTIN(SWISE)